> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3os.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get CU usage by workflow

Get per-workflow CU cost breakdown for a time period

` GET /v1/organizations/{orgId}/cu/usage-by-workflow `

Get CU usage by workflow

Get per-workflow CU cost breakdown for a time period

## Parameters

### ` orgId ` (path, required)

Organization ID

- ` value `: type ` string `

### ` from ` (query, required)

Start time (unix milliseconds)

- ` value `: type ` integer `

### ` to ` (query, required)

End time (unix milliseconds)

- ` value `: type ` integer `

## Request body (optional)

Content type: ` application/json `

- ` value `: type ` object `

## Responses

### ` 200 ` — OK

Content type: ` application/json `

- ` value `: type ` object `

  - ` code `: type ` integer `

    - example: ` 0 `

  - ` data `: type ` object `

    - ` workflows `: type ` array `

      - ` array item `: type ` object `

        - ` cuPerHour `: type ` number `

        - ` estimatedCostPerRun `: type ` integer `

        - ` isStream `: type ` boolean `

        - ` runCount `: type ` integer `

        - ` status `: type ` string `

        - ` totalCu `: type ` number `

        - ` triggerType `: type ` string `

        - ` workflowId `: type ` string `

        - ` workflowName `: type ` string `

  - ` message `: type ` string `

    - example: ` "successfully" `

  - ` requestId `: type ` string `

    - example: ` "req_abc123" `

### ` 400 ` — Bad Request

Content type: ` application/json `

- ` value `: type ` object `

  - ` code `: type ` integer `

  - ` details `: type ` array `

    - ` array item `: type ` unknown `

  - ` message `: type ` string `

  - ` requestId `: type ` string `

### ` 500 ` — Internal Server Error

Content type: ` application/json `

- ` value `: type ` object `

  - ` code `: type ` integer `

  - ` details `: type ` array `

    - ` array item `: type ` unknown `

  - ` message `: type ` string `

  - ` requestId `: type ` string `

## Request examples

### cURL

```curl
curl -X GET 'https://api.example.com/v1/organizations/string/cu/usage-by-workflow?from=0&to=0' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{}'
```

### JavaScript

```javascript
const response = await fetch('https://api.example.com/v1/organizations/string/cu/usage-by-workflow?from=0&to=0', {
  method: 'GET',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN",
      "Content-Type": "application/json"
  },
  body: JSON.stringify({})
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.get('https://api.example.com/v1/organizations/string/cu/usage-by-workflow?from=0&to=0', headers=headers, json={})
print(response.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
	"strings"
)

func main() {
	body := strings.NewReader(`{}`)
	req, _ := http.NewRequest("GET", "https://api.example.com/v1/organizations/string/cu/usage-by-workflow?from=0&to=0", body)
	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
	req.Header.Set("Content-Type", "application/json")

	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
	result, _ := io.ReadAll(resp.Body)
	fmt.Println(string(result))
}
```